bullet = {}
bullet_speed = 500

function spawnBullet(x,y,dir)
	table.insert(bullet, {width = 10, height = 10, x= x, y = y, dir = dir})
end

function drawBullet()
	for i,v in ipairs(bullet) do
	love.graphics.setColor(255,255,255)
	love.graphics.rectangle("fill",v.x,v.y,v.width,v.height)
	end
end

function updateBullet(dt)
	for i,v in ipairs(bullet) do
		if v.dir == "right" then
			v.x = v.x + bullet_speed * dt
		end
		if v.dir == "left" then
			v.x = v.x - bullet_speed * dt
		end
	end
end

function shootBullet(key)
	if key == "e" and player.dir == "right" then
		spawnBullet(player.x + (player.width / 2) , player.y + (player.height / 2) + 30 , "right")
	end
	if key == "q" and player.dir == "left" then
		spawnBullet(player.x + (player.width / 2) , player.y + (player.height / 2) + 30 , "left")
	end
end