require "player"
require "enemy"
require "health"
require "spawn"

function startup()
	music = love.audio.newSource("Blaze.mp3")
	music:setVolume(2)
	Medium = love.graphics.newFont(30)
	love.graphics.setFont(Medium)
	newObject()
	love.graphics.setBackgroundColor(255,255,255)
	baseTimer = 0
	seconds = 0
end


function love.load()
	startup()
	music:play()

end

function love.update(dt)
	timer(dt)
	player.update(dt)
	--enemy.update(dt)
	levelCollide()
	playerCollide()
end

function love.keyreleased(key)
	playerReset(key)
	resetObject(key)
end

function love.draw()
	love.graphics.setColor(0,0,0)
	love.graphics.rectangle("fill", 0, player.y + 68, 800, 100)
	drawPlayer()
	--drawEnemy()
	updateObject()
	love.graphics.print("Music: 'Blaze' by Valcos", 0, 0, 0)
	love.graphics.print(seconds, 0, 30, 0)
end

function love.quit()
	love.event.quit()
end

function timer(dt)
		baseTimer = baseTimer + dt
	if baseTimer > 1 then
  		baseTimer = baseTimer - 1
	 	seconds = seconds + 1
	 	updateObject()
	end
end