player = {}

player.x = 100
player.y = (400 - 68)
player.speed = 90
player.health = 4

playerS = love.graphics.newImage("Sprites/Standing.gif")

playerR = {}
playerR[1] = love.graphics.newImage("Sprites/WalkingR1.gif")
playerR[2] = love.graphics.newImage("Sprites/WalkingR2.gif")
playerR[3] = love.graphics.newImage("Sprites/WalkingR3.gif")


playerL = {}
playerL[1] = love.graphics.newImage("Sprites/WalkingL1.gif")
playerL[2] = love.graphics.newImage("Sprites/WalkingL2.gif")
playerL[3] = love.graphics.newImage("Sprites/WalkingL3.gif")


player.animTimer = 0
player.pic = playerS
player.pic:setFilter("nearest","nearest")
player.pnum = 1

player.width = player.pic:getWidth()
player.height = player.pic:getHeight()

H ={}
H[1] = love.graphics.newImage("Sprites/1Heart.gif")
H[2] = love.graphics.newImage("Sprites/2Hearts.gif")
H[3] = love.graphics.newImage("Sprites/3Hearts.gif")
H[4] = love.graphics.newImage("Sprites/4Hearts.gif")

function player.update(dt)
	if love.keyboard.isDown("d") and not love.keyboard.isDown("a") then
		player.x = player.x + player.speed * dt
		player.pic = playerR[player.pnum]
		player.pic:setFilter("nearest","nearest")
		player.animTimer = player.animTimer + dt
		if player.animTimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animTimer = 0
		end
		if player.pnum >  3 then
			player.pnum = 1
		end
	end
	if love.keyboard.isDown("a") and not love.keyboard.isDown("d") then
		player.x = player.x - player.speed * dt
		player.pic = playerL[player.pnum]
		player.pic:setFilter("nearest","nearest")
		player.animTimer = player.animTimer + dt
		if player.animTimer > 0.1 then
			player.pnum = player.pnum + 1
			player.animTimer = 0
		end
		if player.pnum >  3 then
			player.pnum = 1
		end
	end
	if love.keyboard.isDown("a") and love.keyboard.isDown("d") then
		player.pic = playerS
	end
	love.graphics.setColor(255,255,255)
	love.graphics.draw(H[1], 100, 100)
	player.mid = player.x + (player.pic:getWidth())
end

function playerReset(key)
	player.pic = playerS
end

function drawPlayer()
	love.graphics.setColor(255,255,255)
	love.graphics.draw(player.pic,player.x,player.y, 0, 4)
end

function levelCollide()
	if player.x > 756  then
		player.x = 756
		player.pic = playerS
	end
	if player.x < 0 then
		player.x = 0
		player.pic = playerS
	end
	if player.y > 580 then
		player.y = 580
		player.pic = playerS
	end
	if player.y < 0 then
		player.y = 0
		player.pic = playerS
	end
end